Create todo
curl --request POST \
--url https://api.qa.tech/v1/todos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"fixPrompt": "<string>",
"description": "<string>",
"applicationShortId": "<string>",
"configShortId": "<string>",
"relatedTestCaseIds": [
"<string>"
],
"occurrenceReason": "<string>",
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/todos"
payload = {
"title": "<string>",
"fixPrompt": "<string>",
"description": "<string>",
"applicationShortId": "<string>",
"configShortId": "<string>",
"relatedTestCaseIds": ["<string>"],
"occurrenceReason": "<string>",
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
fixPrompt: '<string>',
description: '<string>',
applicationShortId: '<string>',
configShortId: '<string>',
relatedTestCaseIds: ['<string>'],
occurrenceReason: '<string>',
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/todos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/todos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'fixPrompt' => '<string>',
'description' => '<string>',
'applicationShortId' => '<string>',
'configShortId' => '<string>',
'relatedTestCaseIds' => [
'<string>'
],
'occurrenceReason' => '<string>',
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/todos"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"fixPrompt\": \"<string>\",\n \"description\": \"<string>\",\n \"applicationShortId\": \"<string>\",\n \"configShortId\": \"<string>\",\n \"relatedTestCaseIds\": [\n \"<string>\"\n ],\n \"occurrenceReason\": \"<string>\",\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qa.tech/v1/todos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"fixPrompt\": \"<string>\",\n \"description\": \"<string>\",\n \"applicationShortId\": \"<string>\",\n \"configShortId\": \"<string>\",\n \"relatedTestCaseIds\": [\n \"<string>\"\n ],\n \"occurrenceReason\": \"<string>\",\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/todos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"fixPrompt\": \"<string>\",\n \"description\": \"<string>\",\n \"applicationShortId\": \"<string>\",\n \"configShortId\": \"<string>\",\n \"relatedTestCaseIds\": [\n \"<string>\"\n ],\n \"occurrenceReason\": \"<string>\",\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"todo": {
"shortId": "<string>",
"title": "<string>",
"description": "<string>",
"kind": "credentials",
"status": "open",
"priority": "low",
"recommendedPath": "manual",
"fixPrompt": "<string>",
"occurrenceCount": 123,
"lastOccurredAt": "<string>",
"applicationShortId": "<string>",
"configShortId": "<string>",
"relatedTestCaseIds": [
"<string>"
],
"assigneeId": "<string>",
"rejectedReason": "<string>",
"url": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"occurrences": [
{
"summary": "<string>",
"source": "<string>",
"createdAt": "<string>"
}
]
}
}Todos
Create todo
Creates a new open todo. This always inserts; it does not match or reopen an existing todo. Use the MCP manage_todos create action when an agent should attach to an existing need instead.
POST
/
v1
/
todos
Create todo
curl --request POST \
--url https://api.qa.tech/v1/todos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"fixPrompt": "<string>",
"description": "<string>",
"applicationShortId": "<string>",
"configShortId": "<string>",
"relatedTestCaseIds": [
"<string>"
],
"occurrenceReason": "<string>",
"projectShortId": "<string>"
}
'import requests
url = "https://api.qa.tech/v1/todos"
payload = {
"title": "<string>",
"fixPrompt": "<string>",
"description": "<string>",
"applicationShortId": "<string>",
"configShortId": "<string>",
"relatedTestCaseIds": ["<string>"],
"occurrenceReason": "<string>",
"projectShortId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
fixPrompt: '<string>',
description: '<string>',
applicationShortId: '<string>',
configShortId: '<string>',
relatedTestCaseIds: ['<string>'],
occurrenceReason: '<string>',
projectShortId: '<string>'
})
};
fetch('https://api.qa.tech/v1/todos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.tech/v1/todos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'fixPrompt' => '<string>',
'description' => '<string>',
'applicationShortId' => '<string>',
'configShortId' => '<string>',
'relatedTestCaseIds' => [
'<string>'
],
'occurrenceReason' => '<string>',
'projectShortId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.qa.tech/v1/todos"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"fixPrompt\": \"<string>\",\n \"description\": \"<string>\",\n \"applicationShortId\": \"<string>\",\n \"configShortId\": \"<string>\",\n \"relatedTestCaseIds\": [\n \"<string>\"\n ],\n \"occurrenceReason\": \"<string>\",\n \"projectShortId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.qa.tech/v1/todos")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"fixPrompt\": \"<string>\",\n \"description\": \"<string>\",\n \"applicationShortId\": \"<string>\",\n \"configShortId\": \"<string>\",\n \"relatedTestCaseIds\": [\n \"<string>\"\n ],\n \"occurrenceReason\": \"<string>\",\n \"projectShortId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qa.tech/v1/todos")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"fixPrompt\": \"<string>\",\n \"description\": \"<string>\",\n \"applicationShortId\": \"<string>\",\n \"configShortId\": \"<string>\",\n \"relatedTestCaseIds\": [\n \"<string>\"\n ],\n \"occurrenceReason\": \"<string>\",\n \"projectShortId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"todo": {
"shortId": "<string>",
"title": "<string>",
"description": "<string>",
"kind": "credentials",
"status": "open",
"priority": "low",
"recommendedPath": "manual",
"fixPrompt": "<string>",
"occurrenceCount": 123,
"lastOccurredAt": "<string>",
"applicationShortId": "<string>",
"configShortId": "<string>",
"relatedTestCaseIds": [
"<string>"
],
"assigneeId": "<string>",
"rejectedReason": "<string>",
"url": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"occurrences": [
{
"summary": "<string>",
"source": "<string>",
"createdAt": "<string>"
}
]
}
}Body
application/json
Was this page helpful?